# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' Convert an MGRS string to latitude/longitude
#'
#' @md
#' @note vectorized
#' @param MGRS an MGRS string
#' @param degrees convert to degrees? Default: `TRUE`
#' @param include_mgrs_ref if `TRUE` the data frame returned fill include
#'        the MGRS reference in a column named `mgrs`. Default: `TRUE`.
#' @export
#' @return `data.frame`
#' @examples
#' mgrs_to_latlng("15TWG0000049776")
mgrs_to_latlng <- function(MGRS, degrees = TRUE, include_mgrs_ref = TRUE) {
    .Call(`_mgrs_mgrs_to_latlng`, MGRS, degrees, include_mgrs_ref)
}

#' Convert latitude/longitude to MGRS string
#'
#' @md
#' @param latitude,longitude coordinates
#' @param degrees are latitude/longitude in degrees? Default: `TRUE`
#' @param precision 0:5; level of precision for the conversion. Default `5`
#' @export
#' @examples
#' latlng_to_mgrs(42, -93)
latlng_to_mgrs <- function(latitude, longitude, degrees = TRUE, precision = 5L) {
    .Call(`_mgrs_latlng_to_mgrs`, latitude, longitude, degrees, precision)
}

#' Convert UTM to MGRS
#'
#' @md
#' @param zone 1:60
#' @param hemisphere South (`S`) or North (`N`)
#' @param easting,northing easting (X) / northing (Y) (meters)
#' @param precision 0:5; level of precision for the conversion. Default `5`
#' @export
#' @examples
#' utm_to_mgrs(48, "N", 377299, 1483035)
utm_to_mgrs <- function(zone, hemisphere, easting, northing, precision = 5L) {
    .Call(`_mgrs_utm_to_mgrs`, zone, hemisphere, easting, northing, precision)
}

#' Convert MGRS to UTM
#'
#' @md
#' @note vectorized
#' @param mgrs_string acharacter vector of MGRS strings
#' @param include_mgrs_ref if `TRUE` the data frame returned fill include
#'        the MGRS reference in a column named `mgrs`. Default: `TRUE`.
#' @return `data.frame`
#' @export
#' @examples
#' mgrs_to_utm("48PUV7729883034")
mgrs_to_utm <- function(mgrs_string, include_mgrs_ref = TRUE) {
    .Call(`_mgrs_mgrs_to_utm`, mgrs_string, include_mgrs_ref)
}

#' Convert UPS to MGRS
#'
#' @md
#' @param hemisphere South (`S`) or North (`N`)
#' @param easting,northing easting (X) / northing (Y) (meters)
#' @param precision 0:5; level of precision for the conversion. Default `5`
#' @export
#' @examples
#' ups_to_mgrs("N", 2426773, 1530125)
ups_to_mgrs <- function(hemisphere, easting, northing, precision = 5L) {
    .Call(`_mgrs_ups_to_mgrs`, hemisphere, easting, northing, precision)
}

#' Convert MGRS to UPS
#'
#' @md
#' @note vectorized
#' @param mgrs_string a character vector of MGRS strings
#' @param include_mgrs_ref if `TRUE` the data frame returned fill include
#'        the MGRS reference in a column named `mgrs`. Default: `TRUE`.
#' @return `data.frame`
#' @export
#' @examples
#' mgrs_to_ups("ZGC2677330125")
mgrs_to_ups <- function(mgrs_string, include_mgrs_ref = TRUE) {
    .Call(`_mgrs_mgrs_to_ups`, mgrs_string, include_mgrs_ref)
}

#' Convert UPS to Latitude/Longitude
#'
#' @md
#' @param hemisphere South (`S`) or North (`N`)
#' @param easting,northing easting (X) / northing (Y) (meters)
#' @param degrees convert to degrees? Default: `TRUE`
#' @export
#' @examples
#' ups_to_latlng("N", 2426773, 1530125)
ups_to_latlng <- function(hemisphere, easting, northing, degrees = TRUE) {
    .Call(`_mgrs_ups_to_latlng`, hemisphere, easting, northing, degrees)
}

#' Convert UTM to Latitude/Longitude
#'
#' @md
#' @param zone 1:60
#' @param hemisphere South (`S`) or North (`N`)
#' @param easting,northing easting (X) / northing (Y) (meters)
#' @param degrees convert to degrees? Default: `TRUE`
#' @export
#' @examples
#' utm_to_latlng(48, "N", 377299, 1483035)
utm_to_latlng <- function(zone, hemisphere, easting, northing, degrees = TRUE) {
    .Call(`_mgrs_utm_to_latlng`, zone, hemisphere, easting, northing, degrees)
}

