% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mgrs-package.R
\docType{package}
\name{mgrs}
\alias{mgrs}
\alias{mgrs-package}
\title{Convert 'MGRS' ('Military Grid Reference System') Coordinates From/To Other Coordinate Systems}
\description{
The 'Military Grid Reference System' ('MGRS') is the geocoordinate
standard used by 'NATO' militaries for locating points on the earth. The 'MGRS'
is derived from the 'Universal Transverse Mercator' ('UTM') grid system and
the universal polar stereographic ('UPS') grid system, but uses a different
labeling convention. The 'MGRS' is used for the entire earth. Methods are
provided to convert 'MGRS' coordinates to and from other coordinate systems.
}
\details{
The origin of the MGRS grid, in the Pacific. Honolulu is in 4QFJ.

\if{html}{
\figure{mgrs-grid.png}{options: width="850" alt="Figure: The origin of the MGRS grid, in the Pacific. Honolulu is in 4QFJ"}
}

\if{latex}{
\figure{mgrs-grid.png}{options: width=30cm}
}

\href{https://en.wikipedia.org/wiki/Military_Grid_Reference_System#/media/File:MGRSgridOriginSchemeAA.png}{CC-BY-SA 3.0}
}
\seealso{
Useful links:
\itemize{
  \item \url{https://gitlab.com/hrbrmstr/mgrs}
  \item Report bugs at \url{https://gitlab.com/hrbrmstr/mgrs/issues}
}

}
\author{
Bob Rudis (bob@rud.is)
}
